Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
assetmgrmodel::AssetStrip::StateChangedEvent Struct Reference

Event: Asset strip state has changed. More...

Inheritance diagram for assetmgrmodel::AssetStrip::StateChangedEvent:

## Public Attributes
State | oldState
| State before change.
State | newState
| State after change.
DeviceInfo | deviceInfo
| Information about connected strip, only valid if newState is AVAILABLE.
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: Asset strip state has changed.

Definition at line 121 of file AssetStrip.idl.

## Member Data Documentation

## ◆ deviceInfo

DeviceInfo assetmgrmodel::AssetStrip::StateChangedEvent::deviceInfo

Information about connected strip, only valid if newState is AVAILABLE.

Definition at line 124 of file AssetStrip.idl.

## ◆ newState

State assetmgrmodel::AssetStrip::StateChangedEvent::newState

State after change.

Definition at line 123 of file AssetStrip.idl.

## ◆ oldState

State assetmgrmodel::AssetStrip::StateChangedEvent::oldState

State before change.

Definition at line 122 of file AssetStrip.idl.

The documentation for this struct was generated from the following file:

- AssetStrip.idl